---
- name: Copy secure file
  template:
    src: htaccess.j2
    dest: /usr/share/phpmyadmin/.htaccess

- name: Ensure the htpasswd utility is installed.
  package:
    name: "{{ htpasswd_required_packages }}"
    state: present

- name: Ensure htpasswd credentials are configured.
  htpasswd:
    path: /usr/share/phpmyadmin/.htpasswd
    name: "{{ item.name }}"
    password: "{{ item.password }}"
    owner: root
    group: "{{ apache_user }}"
    mode: "0640"
  with_items: "{{ htpasswd_credentials }}"

- name: restart Apache/httpd
  service:
    name: "{{ apache_daemon }}"
    state: restarted